import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  path: SortOrderSchema.optional(),
  isActive: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const BackupDestinationCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.BackupDestinationCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationCountOrderByAggregateInput>;
export const BackupDestinationCountOrderByAggregateInputObjectZodSchema = makeSchema();
